%define api		1.0
%define major		0
%define girmajor	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define _requires_exceptions devel(libmozjs-*

Summary:	JavaScript bindings based on gobject-introspection
Name:		gjs
Version:	1.40.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	BSD
Group:		Development/Other
Url:		https://wiki.gnome.org/Gjs
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.38.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(mozjs-24)
BuildRequires:	readline-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{libname}
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Group:		Development/C
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains JavaScript bindings based on gobject-introspection.

%prep
%setup -q
%apply_patches

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure2_5x \
	--disable-static
%make V=1

%install
rm -rf %buildroot
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%defattr(-, root, root)
%doc README COPYING NEWS
%{_bindir}/gjs
%{_bindir}/gjs-console

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgjs.so.%{major}*
%{_libdir}/gjs/girepository-1.0/GjsPrivate-%{girmajor}.typelib

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/libgjs.so
%{_libdir}/pkgconfig/gjs-%{api}.pc
%{_libdir}/pkgconfig/gjs-internals-%{api}.pc
%{_includedir}/gjs-%{api}

%clean
rm -rf %buildroot


%changelog
* Wed Apr 16 2014 bb <bb> 1.40.1-1pclos2014
- update

* Sat Nov 02 2013 billybot <billybot> 1.30.1-2pclos2013
- rebuild against update xulrunner

* Sun Jan 05 2012 siamer <siamer@wp.pl> 1.30.1-pclos2012
- new version 1.30.1

* Fri Sep 30 2011 Texstar <texstar at gmail.com> 1.30.0-3pclos2011
- rebuild for new xulrunner 7.0.1